Submit client-side tool results
const url = 'https://app.everruns.com/api/v1/sessions/example/tool-results';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tool_results":[{"result":{"url":"https://example.com/orders/42"},"tool_call_id":"toolu_01933b5a00007000800000000000001"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.everruns.com/api/v1/sessions/example/tool-results \ --header 'Content-Type: application/json' \ --data '{ "tool_results": [ { "result": { "url": "https://example.com/orders/42" }, "tool_call_id": "toolu_01933b5a00007000800000000000001" } ] }'Accepts tool results executed by the client and resumes the agent workflow.
Session must be in waiting_for_tool_results status.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Session ID (prefixed, e.g., session_…)
Request Body required
Section titled “Request Body required ”Request to submit client-side tool results
object
Tool results from the client
A single tool result from the client
object
Error message if the tool failed
Example
Refund failed: order is outside refund windowResult value (any JSON — object, array, string, number, etc.). Null if the tool failed.
Example: {"url": "https://example.com/orders/42"}.
Tool call ID (correlates with the tool call from tool.call_requested event)
Example
toolu_01933b5a00007000800000000000001Example
[ { "result": { "url": "https://example.com/orders/42" }, "tool_call_id": "toolu_01933b5a00007000800000000000001" }]Responses
Section titled “ Responses ”Tool results accepted and workflow resumed
Response from submitting tool results
object
Number of tool results accepted
Session status after submission
Example generated
{ "accepted": 1, "status": "example"}Invalid session ID or request
Session not found
Session not in waiting_for_tool_results state
Internal server error